package com.zehong.gassdevicereport.netty.decryptreported.flowmeter;

public class FlowmeterDecryReportedDataStrategy {

    public static DecryptReportedData getDecryptReportedData(String reportedDataStr){
        return decryptReportedData(reportedDataStr.substring(reportedDataStr.length()-6,reportedDataStr.length()-4),reportedDataStr);
    }

    private static DecryptReportedData decryptReportedData(String hexStr,String reportedDataStr){
        switch (hexStr){
            case "b0":
                return new FlowmeterDecryptReportedData(reportedDataStr,"苍南EVC300体积修正仪");
            case "b1":
                return new FlowmeterDecryptReportedData(reportedDataStr,"天信CPU卡式体积修正仪");
            case "b2":
                return new Tian5cFlowmeterDecryptReportedData(reportedDataStr,"天津市第五机床厂C型体积积算仪(天五C型)");
            default:
                return null;
        }
    }

}
